Cluster:
  properties:
    CreatedByID:
      description: Created By
      type: string
      x-nullable: true
    CreatedDate:
      description: Created Date
      type: string
      x-nullable: true
    Description:
      description: Description
      type: string
      x-nullable: true
    Environment:
      description: Environment
      type: string
      x-nullable: true
    Gateway:
      description: Gateway
      type: string
      x-nullable: true
    ID:
      description: Record Id
      type: string
    IPAddress:
      description: IP Address
      type: string
      x-nullable: true
    LastModifiedByID:
      description: Last Modified By
      type: string
      x-nullable: true
    LastModifiedDate:
      description: Last Modified Date
      type: string
      x-nullable: true
    Name:
      description: Cluster Name
      type: string
      x-nullable: true
    OwnerID:
      description: Owner
      type: string
      x-nullable: true
    Ref:
      description: External Reference
      type: string
      x-nullable: true
    Status:
      description: Status
      type: string
      x-nullable: true
    Subnet:
      description: Subnet
      type: string
      x-nullable: true
    TenantID:
      description: The ID of the tenant who owns this Database
      type: string
      x-nullable: true
    Type:
      description: Type
      type: string
      x-nullable: true
    Zone:
      description: Zone
      type: string
      x-nullable: true
  type: object
